package nsdb;
final public class InvalidKeyHolder
	implements org.omg.CORBA.portable.Streamable
{
	public nsdb.InvalidKey value;

	public InvalidKeyHolder ()
	{
	}
	public InvalidKeyHolder (nsdb.InvalidKey initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return nsdb.InvalidKeyHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = nsdb.InvalidKeyHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		nsdb.InvalidKeyHelper.write(_out,value);
	}
}
